Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp
Class WSRPConstants

    java.lang.Object
      org.jboss.portal.wsrp.WSRPConstants

    public final class WSRPConstants

extends java.lang.Object

Since:
  2.4
Version:
  $Revision: 11318 $
Author:
  Chris Laprun

Field Summary
`static java.lang.String` | `CACHE_FOR_ALL` The markup is not specific to the UserContext and therefore may be supplied to all users of the Consumer.
`static java.lang.String` | `CACHE_PER_USER` The markup is specific to the userContext for which it was generated.
`static java.lang.String` | `CERTIFICATE_USER_AUTHENTICATION` The End-User presented a security certificate to validate their identity.
`static java.lang.String` | `CONSUMER_AGENT` The String identifying the portal consumer agent
`static java.lang.String` | `DEFAULT_CHARACTER_SET` Default character set used to generate markup.
`static java.lang.String` | `DEFAULT_CONSUMER_NAME` Default consumer name if none has been provided in the WSRP descriptor (*-wsrp.xml)
`static java.lang.String` | `EDIT_MODE` Within the `wsrp:edit` mode, a Portlet should provide content and logic that let a user customize the behavior of the Portlet , though such customizations are not limited to screens generated while in this mode.
`static java.lang.String` | `HELP_MODE` When in `wsrp:help` mode, a Portlet may provide help screens that explains the Portlet and its expected usage.
`static java.lang.String` | `MAXIMIZED_WINDOW_STATE` The `wsrp:maximized` window state is an indication the Portlet is likely the only Portlet being rendered in the aggregated page, or that the Portlet has more space compared to other Portlets in the aggregated page.
`static java.lang.String` | `MINIMIZED_WINDOW_STATE` When the window state is `wsrp:minimized`, the Portlet SHOULD NOT render visible markup, but is free to include non-visible data such as JavaScript or hidden forms.
`static java.lang.String` | `NONE_USER_AUTHENTICATION` No authentication was done, user information is asserted for informational purposes only.
`static java.lang.String` | `NORMAL_WINDOW_STATE` The `wsrp:normal` window state indicates the Portlet is likely sharing the aggregated page with other Portlets.
`static java.lang.String` | `PASSWORD_USER_AUTHENTICATION` The End-User identified themselves using the common userid/password scenario.
`static java.lang.String` | `PREVIEW_MODE` In `wsrp:preview` mode, a Portlet should provide a rendering of its standard `wsrp:view` mode content, as a visual sample of how this Portlet will appear on the End-User's page with the current configuration.
`static int` | `SESSION_NEVER_EXPIRES` The value of SessionContext.expires if the session will never expire.
`static java.lang.String` | `SOLO_WINDOW_STATE` The `wsrp:solo` window state is an indication the Portlet is the only Portlet being rendered in the aggregated page.
`static java.lang.String` | `VIEW_MODE` The expected functionality for a Portlet in `wsrp:view` mode is to render markup reflecting the current state of the Portlet.
`static java.lang.String` | `WEB_APP_REGISTRY_OBJECT_NAME` JMX object name for the Portal web app registry
`static java.lang.String` | `WSRP_PRODUCER_OBJECT_NAME` JMX object name for the WSRP Producer
`static javax.xml.namespace.QName` | `XSD_STRING` A QName representing the string type defined as part of XML Schemas Part 2

Method Summary
`static java.lang.String[]` | `getDefaultLocales()`
`static java.lang.String[]` | `getDefaultMimeTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEB_APP_REGISTRY_OBJECT_NAME

    public static final java.lang.String WEB_APP_REGISTRY_OBJECT_NAME

  JMX object name for the Portal web app registry

  See Also:
    Constant Field Values

### WSRP_PRODUCER_OBJECT_NAME

    public static final java.lang.String WSRP_PRODUCER_OBJECT_NAME

  JMX object name for the WSRP Producer

  See Also:
    Constant Field Values

### NORMAL_WINDOW_STATE

    public static final java.lang.String NORMAL_WINDOW_STATE

  The `wsrp:normal` window state indicates the Portlet is likely sharing the aggregated page with other Portlets. The `wsrp:normal` window state MAY also indicate that the target device has limited display capabilities. Therefore, a Portlet SHOULD restrict the size of its rendered output in this window state.

  Conformant Portlets MUST support the `wsrp:normal` window state.

  See Also:
    Constant Field Values

### MINIMIZED_WINDOW_STATE

    public static final java.lang.String MINIMIZED_WINDOW_STATE

  When the window state is `wsrp:minimized`, the Portlet SHOULD NOT render visible markup, but is free to include non-visible data such as JavaScript or hidden forms. The `getMarkup` operation can be invoked for the `wsrp:minimized` state just as for all other window states.

  See Also:
    Constant Field Values

### MAXIMIZED_WINDOW_STATE

    public static final java.lang.String MAXIMIZED_WINDOW_STATE

  The `wsrp:maximized` window state is an indication the Portlet is likely the only Portlet being rendered in the aggregated page, or that the Portlet has more space compared to other Portlets in the aggregated page. A Portlet SHOULD generate richer content when its window state is `wsrp:maximized`.

  See Also:
    Constant Field Values

### SOLO_WINDOW_STATE

    public static final java.lang.String SOLO_WINDOW_STATE

  The `wsrp:solo` window state is an indication the Portlet is the only Portlet being rendered in the aggregated page. A Portlet SHOULD generate richer content when its window state is `wsrp:solo`.

  See Also:
    Constant Field Values

### VIEW_MODE

    public static final java.lang.String VIEW_MODE

  The expected functionality for a Portlet in `wsrp:view` mode is to render markup reflecting the current state of the Portlet. The `wsrp:view` mode of a Portlet will include one or more screens that the End-User can navigate and interact with or it may consist of static content devoid of user interactions.

  The behavior and the generated content of a Portlet in the wsrp:view mode may depend on configuration, personalization and all forms of state.

  Conformant Portlets MUST support the `wsrp:view` mode.

  See Also:
    Constant Field Values

### EDIT_MODE

    public static final java.lang.String EDIT_MODE

  Within the `wsrp:edit` mode, a Portlet should provide content and logic that let a user customize the behavior of the Portlet , though such customizations are not limited to screens generated while in this mode. The `wsrp:edit` mode can include one or more screens which users can navigate to enter their customization data.

  Typically, Portlets in `wsrp:edit` mode will set or update Portlet enduring state. How such changes impact Consumer management of Portlet usage by End-Users is discussed in [Section 6.4.3].

  See Also:
    Constant Field Values

### HELP_MODE

    public static final java.lang.String HELP_MODE

  When in `wsrp:help` mode, a Portlet may provide help screens that explains the Portlet and its expected usage. Some Portlets will provide context-sensitive help based on the markup the End-User was viewing when entering this mode.

  See Also:
    Constant Field Values

### PREVIEW_MODE

    public static final java.lang.String PREVIEW_MODE

  In `wsrp:preview` mode, a Portlet should provide a rendering of its standard `wsrp:view` mode content, as a visual sample of how this Portlet will appear on the End-User's page with the current configuration. This could be useful for a Consumer that offers an advanced layout capability.

  See Also:
    Constant Field Values

### NONE_USER_AUTHENTICATION

    public static final java.lang.String NONE_USER_AUTHENTICATION

  No authentication was done, user information is asserted for informational purposes only.

  See Also:
    Constant Field Values

### PASSWORD_USER_AUTHENTICATION

    public static final java.lang.String PASSWORD_USER_AUTHENTICATION

  The End-User identified themselves using the common userid/password scenario.

  See Also:
    Constant Field Values

### CERTIFICATE_USER_AUTHENTICATION

    public static final java.lang.String CERTIFICATE_USER_AUTHENTICATION

  The End-User presented a security certificate to validate their identity.

  See Also:
    Constant Field Values

### DEFAULT_CHARACTER_SET

    public static final java.lang.String DEFAULT_CHARACTER_SET

  Default character set used to generate markup.

  See Also:
    Constant Field Values

### DEFAULT_CONSUMER_NAME

    public static final java.lang.String DEFAULT_CONSUMER_NAME

  Default consumer name if none has been provided in the WSRP descriptor (*-wsrp.xml)

### CONSUMER_AGENT

    public static final java.lang.String CONSUMER_AGENT

  The String identifying the portal consumer agent

### CACHE_PER_USER

    public static final java.lang.String CACHE_PER_USER

  The markup is specific to the userContext for which it was generated. Changes to the data of the UserContext MUST invalidate the cached markup.

  See Also:
    Constant Field Values

### CACHE_FOR_ALL

    public static final java.lang.String CACHE_FOR_ALL

  The markup is not specific to the UserContext and therefore may be supplied to all users of the Consumer.

  See Also:
    Constant Field Values

### SESSION_NEVER_EXPIRES

    public static final int SESSION_NEVER_EXPIRES

  The value of SessionContext.expires if the session will never expire.

  See Also:
    Constant Field Values

### XSD_STRING

    public static final javax.xml.namespace.QName XSD_STRING

  A QName representing the string type defined as part of XML Schemas Part 2

Method Detail

### getDefaultLocales

    public static java.lang.String[] getDefaultLocales()

### getDefaultMimeTypes

    public static java.lang.String[] getDefaultMimeTypes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD